Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85385 - ippp0 isdn connection not terminated after timeout
Summary: ippp0 isdn connection not terminated after timeout
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn4k-utils
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: rcn-isdn
TreeView+ depends on / blocked
 
Reported: 2003-02-28 22:39 UTC by drcbusch
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-02 12:50:52 UTC


Attachments (Terms of Use)

Description drcbusch 2003-02-28 22:39:43 UTC
Description of problem:

my ippp0 network device is configured to hangup after an idle time of 600 
seconds.

In the network devices control /usr/bin/neat-control the status of ippp0 
changes in fact from "activated" to "deactivated" after this time. 
But in spite of this the ppp isdn connection is really still active! So I am 
connected to my ISP longer than wanted without recognizing that.

Version-Release number of selected component (if applicable):

Redhat Linux 8.0, AVM Fritzcard! PCI ISDN Adapter

How reproducible:

Steps to Reproduce:
0. under network configuration, configure a timeout for ippp0 of 600 seconds
1. run /usr/bin/neat-control
2. activate the ippp0 network device (i. e. dial the ISP via ISDN)
3. after the connection has been established, wait for the time out
4. with /usr/bin/neat-control still open, watch the status of ippp0 changing 
from activated to deactivated
5. send data over ippp0 to the internet or look at the network configuration or 
close and restart /usr/bin/neat-control and you will find that ippp0 is still 
activated
    
Actual results:
after the timeout ippp0 is still activated, the isdn connection is not closed

Expected results:
hang up isdn connection after timeout for ippp0

Additional info:

Comment 1 Harald Hoyer 2003-03-31 15:50:25 UTC
do you have dial-on-demand activated? If so, the line will come up again, if you
check for the status...

Comment 2 drcbusch 2003-03-31 19:14:32 UTC
no, I have not enabled dial on demand

Best regards
Carsten


Comment 3 Ngo Than 2006-05-02 12:50:52 UTC
I assume i's fixed in current release. Please reassign it to FC5 if it still
appears. Thanks


Note You need to log in before you can comment on or make changes to this bug.